Search for to

  1. Search 7.x for to
  2. Search 9.5.x for to
  3. Search 8.9.x for to
  4. Search 10.3.x for to
  5. Other projects
Title Object type File name Summary
WorkspaceManager::switchToLive function core/modules/workspaces/src/WorkspaceManager.php Unsets the active workspace.
WorkspaceManagerInterface::switchToLive function core/modules/workspaces/src/WorkspaceManagerInterface.php Unsets the active workspace.
WorkspaceMenuLinkContentIntegrationTest::testWorkspacesWithCustomMenuLinks function core/modules/workspaces/tests/src/Functional/WorkspaceMenuLinkContentIntegrationTest.php Tests custom menu links in non-default workspaces.
WorkspaceMergeForm::$workspaceOperationFactory property core/modules/workspaces_ui/src/Form/WorkspaceMergeForm.php The workspace operation factory.
WorkspaceMergeForm::$workspaceOperationFactory property core/modules/workspaces/src/Form/WorkspaceMergeForm.php The workspace operation factory.
WorkspaceNegotiatorInterface interface core/modules/workspaces/src/Negotiator/WorkspaceNegotiatorInterface.php Workspace negotiators provide a way to get the active workspace.
WorkspaceNegotiatorInterface.php file core/modules/workspaces/src/Negotiator/WorkspaceNegotiatorInterface.php
WorkspaceNegotiatorInterface::applies function core/modules/workspaces/src/Negotiator/WorkspaceNegotiatorInterface.php Checks whether the negotiator applies to the current request or not.
WorkspaceNegotiatorInterface::setActiveWorkspace function core/modules/workspaces/src/Negotiator/WorkspaceNegotiatorInterface.php Notifies the negotiator that the workspace ID returned has been accepted.
WorkspaceNegotiatorInterface::unsetActiveWorkspace function core/modules/workspaces/src/Negotiator/WorkspaceNegotiatorInterface.php Unsets the negotiated workspace.
WorkspaceOperationFactory class core/modules/workspaces/src/WorkspaceOperationFactory.php Defines a factory class for workspace operations.
WorkspaceOperationFactory.php file core/modules/workspaces/src/WorkspaceOperationFactory.php
WorkspaceOperationFactory::getMerger function core/modules/workspaces/src/WorkspaceOperationFactory.php Gets the workspace merger.
WorkspaceOperationFactory::getPublisher function core/modules/workspaces/src/WorkspaceOperationFactory.php Gets the workspace publisher.
WorkspaceOperationFactory::__construct function core/modules/workspaces/src/WorkspaceOperationFactory.php
WorkspacePermissionsTest::testEditOwnWorkspace function core/modules/workspaces/tests/src/Functional/WorkspacePermissionsTest.php Verifies that a user can create and edit only their own workspace.
WorkspaceProviderCollector class core/modules/workspaces/src/Provider/WorkspaceProviderCollector.php Defines the workspace provider collector.
WorkspaceProviderCollector.php file core/modules/workspaces/src/Provider/WorkspaceProviderCollector.php
WorkspaceProviderCollector::getProvider function core/modules/workspaces/src/Provider/WorkspaceProviderCollector.php Gets the workspace provider for the given ID.
WorkspaceProviderCollector::__construct function core/modules/workspaces/src/Provider/WorkspaceProviderCollector.php
WorkspacePublishEvent::$publishingStopped property core/modules/workspaces/src/Event/WorkspacePublishEvent.php Whether an event subscriber requested the publishing to be stopped.
WorkspacePublishEvent::$publishingStoppedReason property core/modules/workspaces/src/Event/WorkspacePublishEvent.php The reason why publishing stopped. For use in messages.
WorkspacePublishEvent::getPublishingStoppedReason function core/modules/workspaces/src/Event/WorkspacePublishEvent.php Gets the reason for stopping the workspace publication.
WorkspacePublishEvent::isPublishingStopped function core/modules/workspaces/src/Event/WorkspacePublishEvent.php Determines whether a subscriber requested the publishing to be stopped.
WorkspacePublishEvent::setPublishingStoppedReason function core/modules/workspaces/src/Event/WorkspacePublishEvent.php Sets the reason for stopping the workspace publication.
WorkspacePublishEvent::stopPublishing function core/modules/workspaces/src/Event/WorkspacePublishEvent.php Signals that the workspace publishing should be aborted.
WorkspacePublishForm::$workspaceOperationFactory property core/modules/workspaces_ui/src/Form/WorkspacePublishForm.php The workspace operation factory.
WorkspacePublishForm::$workspaceOperationFactory property core/modules/workspaces/src/Form/WorkspacePublishForm.php The workspace operation factory.
WorkspaceQueryParameterNegotiatorTest class core/modules/workspaces/tests/src/Kernel/WorkspaceQueryParameterNegotiatorTest.php Tests the query parameter workspace negotiator.
WorkspaceQueryParameterNegotiatorTest.php file core/modules/workspaces/tests/src/Kernel/WorkspaceQueryParameterNegotiatorTest.php
WorkspaceQueryParameterNegotiatorTest::$modules property core/modules/workspaces/tests/src/Kernel/WorkspaceQueryParameterNegotiatorTest.php Modules to install.
WorkspaceQueryParameterNegotiatorTest::providerTestWorkspaceQueryParameter function core/modules/workspaces/tests/src/Kernel/WorkspaceQueryParameterNegotiatorTest.php Data provider for testWorkspaceQueryParameter.
WorkspaceQueryParameterNegotiatorTest::setUp function core/modules/workspaces/tests/src/Kernel/WorkspaceQueryParameterNegotiatorTest.php
WorkspaceQueryParameterNegotiatorTest::testWorkspaceQueryParameter function core/modules/workspaces/tests/src/Kernel/WorkspaceQueryParameterNegotiatorTest.php Tests workspace query parameter.
WorkspaceRepository class core/modules/workspaces/src/WorkspaceRepository.php Provides the default workspace tree lookup operations.
WorkspaceRepository.php file core/modules/workspaces/src/WorkspaceRepository.php
WorkspaceRepository::$cache property core/modules/workspaces/src/WorkspaceRepository.php The cache backend used to store the workspace tree.
WorkspaceRepository::$entityTypeManager property core/modules/workspaces/src/WorkspaceRepository.php The entity type manager service.
WorkspaceRepository::$tree property core/modules/workspaces/src/WorkspaceRepository.php An array of tree items, keyed by workspace IDs and sorted in tree order.
WorkspaceRepository::getDescendantsAndSelf function core/modules/workspaces/src/WorkspaceRepository.php Returns the descendant IDs of the passed-in workspace, including itself.
WorkspaceRepository::loadTree function core/modules/workspaces/src/WorkspaceRepository.php Returns an array of workspaces tree item properties, sorted in tree order.
WorkspaceRepository::resetCache function core/modules/workspaces/src/WorkspaceRepository.php Resets the cached workspace tree.
WorkspaceRepository::__construct function core/modules/workspaces/src/WorkspaceRepository.php Constructs a new WorkspaceRepository instance.
WorkspaceRepositoryInterface interface core/modules/workspaces/src/WorkspaceRepositoryInterface.php Provides an interface for workspace tree lookup operations.
WorkspaceRepositoryInterface.php file core/modules/workspaces/src/WorkspaceRepositoryInterface.php
WorkspaceRepositoryInterface::getDescendantsAndSelf function core/modules/workspaces/src/WorkspaceRepositoryInterface.php Returns the descendant IDs of the passed-in workspace, including itself.
WorkspaceRepositoryInterface::loadTree function core/modules/workspaces/src/WorkspaceRepositoryInterface.php Returns an array of workspaces tree item properties, sorted in tree order.
WorkspaceRepositoryInterface::resetCache function core/modules/workspaces/src/WorkspaceRepositoryInterface.php Resets the cached workspace tree.
WorkspaceRequestSubscriberTest::testOnKernelRequestWithCacheableRouteProvider function core/modules/workspaces/tests/src/Unit/WorkspaceRequestSubscriberTest.php Tests on kernel request with cacheable route provider.
WorkspaceRequestSubscriberTest::testOnKernelRequestWithoutCacheableRouteProvider function core/modules/workspaces/tests/src/Unit/WorkspaceRequestSubscriberTest.php Tests on kernel request without cacheable route provider.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.